modules:
  consorsefinancing:
    id: consorsefinancing
    path: cf/consorsefinancing
    version: 6.5.1.1
    configured: true
    title:
      en: 'Consors Finanz Finanzierung'
    description:
      de: 'Modul für die Zahlung mit Consors Finanz Finanzierung.'
      en: 'Module for payment via Consors Finanz Finanzierung.'
    lang: ''
    thumbnail: logo.jpg
    author: '(c) by Consors Finanz, BNP Paribas S.A.'
    url: 'https://www.consorsfinanz.de'
    email: zhb@consorsfinanz.de
    classExtensions:
      OxidEsales\Eshop\Application\Component\Widget\ArticleDetails: ConsorsFinanz\CFeFinancing\Component\Widget\ArticleDetails
      OxidEsales\Eshop\Application\Controller\OrderController: ConsorsFinanz\CFeFinancing\Controller\OrderController
      OxidEsales\Eshop\Application\Controller\PaymentController: ConsorsFinanz\CFeFinancing\Controller\PaymentController
      OxidEsales\Eshop\Application\Controller\ThankYouController: ConsorsFinanz\CFeFinancing\Controller\ThankYouController
      OxidEsales\Eshop\Application\Model\Order: ConsorsFinanz\CFeFinancing\Model\Order
      OxidEsales\Eshop\Application\Model\PaymentList: ConsorsFinanz\CFeFinancing\Model\PaymentList
      OxidEsales\Eshop\Core\Email: ConsorsFinanz\CFeFinancing\Core\Email
      OxidEsales\Eshop\Core\ViewConfig: ConsorsFinanz\CFeFinancing\Core\ViewConfig
    controllers:
      consorsefinancingcron: ConsorsFinanz\CFeFinancing\Controller\ConsorsEfinancingCron
      consorsefinancingnotify: ConsorsFinanz\CFeFinancing\Controller\ConsorsEfinancingNotify
      consorsefinancing: ConsorsFinanz\CFeFinancing\Controller\Admin\ConsorsEfinancing
      consorsefinancing_list: ConsorsFinanz\CFeFinancing\Controller\Admin\ConsorsEfinancingList
      consorsefinancing_main: ConsorsFinanz\CFeFinancing\Controller\Admin\ConsorsEfinancingMain
    events:
      onActivate: '\ConsorsFinanz\CFeFinancing\Core\Installation::onActivate'
      onDeactivate: '\ConsorsFinanz\CFeFinancing\Core\Installation::onDeactivate'
    moduleSettings:
      cfApiUsername:
        group: consorsefinancing_main
        type: str
        value: 1pstest
      cfClientId:
        group: consorsefinancing_main
        type: str
        value: '8403'
      cfVendorId:
        group: consorsefinancing_main
        type: str
        value: '8403'
      cfVendorPassword:
        group: consorsefinancing_main
        type: password
        value: ecec8403
      cfHashKey:
        group: consorsefinancing_main
        type: str
        value: '12345678910'
      cfApiKey:
        group: consorsefinancing_main
        type: str
        value: 67e1bf12-c255-43bb-a453-287a80e87a98
      cfShopName:
        group: consorsefinancing_main
        type: str
        value: 'Millemedia Test Shop'
      cfShopLogo:
        group: consorsefinancing_main
        type: str
        value: 'https://ox65.millemedia.de/out/flow/img/logo_oxid.png'
      cfDurations:
        group: consorsefinancing_main
        type: str
        value: '6,12,18,24,32,36'
      cfStandardDuration:
        group: consorsefinancing_main
        type: str
        value: '12'
      cfInterestRates:
        group: consorsefinancing_main
        type: str
        value: '9.0,9.3,9.5,9.7,9.8,9.9'
      cfActionInterestVendorId:
        group: consorsefinancing_main
        type: str
        value: '44'
      cfActionInterestSettings:
        group: consorsefinancing_main
        type: select
        value: '1'
        constraints:
          - '0'
          - '1'
          - '2'
          - '3'
      cfActionInterestDuration:
        group: consorsefinancing_main
        type: str
        value: '18'
      cfInterestDisplay:
        group: consorsefinancing_main
        type: select
        value: lowestZeroPriceInstallment
        constraints:
          - lowestInstallment
          - lowestZeroPriceInstallment
      cfCreateOrdersDirectly:
        group: consorsefinancing_main
        type: bool
        value: false
      cfLiveModus:
        group: consorsefinancing_main
        type: bool
        value: false
      cfCreateLogs:
        group: consorsefinancing_main
        type: bool
        value: true
      cfCancelCronDays:
        group: consorsefinancing_cronjobs
        type: str
        value: '21'
      cfCancelCronNotificationActive:
        group: consorsefinancing_cronjobs
        type: bool
        value: true
      cfCancelCronNotificationReceiver:
        group: consorsefinancing_cronjobs
        type: str
        value: rauscher@commodule.de
    templateBlocks:
      -
        template: page/details/inc/productmain.tpl
        block: details_productmain_price
        file: /views/blocks/page/details/inc/productmain_price.tpl
      -
        template: page/details/inc/tabs.tpl
        block: details_tabs_longdescription
        file: /views/blocks/page/details/inc/tabs_installments.tpl
      -
        template: page/checkout/payment.tpl
        block: checkout_payment_errors
        file: /views/blocks/page/checkout/checkout_payment_errors.tpl
      -
        template: page/checkout/payment.tpl
        block: select_payment
        file: /views/blocks/page/checkout/select_payment.tpl
      -
        template: page/checkout/order.tpl
        block: checkout_order_main
        file: /views/blocks/page/checkout/checkout_order_main.tpl
      -
        template: include/category_main_form.tpl
        block: admin_category_main_form
        file: /views/blocks/admin/include/category_main_form.tpl
    templates:
      consorsfinancings.tpl: cf/consorsefinancing/views/admin/tpl/consorsfinancings.tpl
      consorsfinancings_list.tpl: cf/consorsefinancing/views/admin/tpl/consorsfinancings_list.tpl
      consorsfinancings_main.tpl: cf/consorsefinancing/views/admin/tpl/consorsfinancings_main.tpl
      consorsfinancingscancel.tpl: cf/consorsefinancing/views/email/tpl/consorsfinancingscancel.tpl
  consorsefinancingat:
    id: consorsefinancingat
    path: cf/consorsefinancingat
    version: 6.5.0
    configured: true
    title:
      en: 'Consors Finanz Finanzierung AT'
    description:
      de: 'Modul für die Zahlung mit Consors Finanz Finanzierung (Österreich).'
      en: 'Module for payment via Consors Finanz Financing (Austria).'
    lang: ''
    thumbnail: logo.jpg
    author: '(c) by Consors Finanz, BNP Paribas S.A.'
    url: 'https://www.consorsfinanz.de'
    email: zu@defnieren.de
    classExtensions:
      OxidEsales\Eshop\Application\Component\Widget\ArticleDetails: ConsorsFinanz\CFeFinancingAT\Component\Widget\ArticleDetails
      OxidEsales\Eshop\Application\Controller\OrderController: ConsorsFinanz\CFeFinancingAT\Controller\OrderController
      OxidEsales\Eshop\Application\Controller\PaymentController: ConsorsFinanz\CFeFinancingAT\Controller\PaymentController
      OxidEsales\Eshop\Application\Model\PaymentList: ConsorsFinanz\CFeFinancingAT\Model\PaymentList
      OxidEsales\Eshop\Core\Email: ConsorsFinanz\CFeFinancingAT\Core\Email
      OxidEsales\Eshop\Core\ViewConfig: ConsorsFinanz\CFeFinancingAT\Core\ViewConfig
    controllers:
      consorsefinancingatcron: ConsorsFinanz\CFeFinancingAT\Controller\ConsorsEfinancingAtCron
      consorsefinancingnotifyat: ConsorsFinanz\CFeFinancingAT\Controller\ConsorsEfinancingNotify
      consorsefinancingat: ConsorsFinanz\CFeFinancingAT\Controller\Admin\ConsorsEfinancing
      consorsefinancingat_list: ConsorsFinanz\CFeFinancingAT\Controller\Admin\ConsorsEfinancingList
      consorsefinancingat_main: ConsorsFinanz\CFeFinancingAT\Controller\Admin\ConsorsEfinancingMain
    events:
      onActivate: '\ConsorsFinanz\CFeFinancingAT\Core\Installation::onActivate'
      onDeactivate: '\ConsorsFinanz\CFeFinancingAT\Core\Installation::onDeactivate'
    moduleSettings:
      cfAtApiUsername:
        group: consorsefinancingat_main
        type: str
        value: 1pstestat
      cfAtClientId:
        group: consorsefinancingat_main
        type: str
        value: '8405'
      cfAtVendorId:
        group: consorsefinancingat_main
        type: str
        value: '8405'
      cfAtVendorPassword:
        group: consorsefinancingat_main
        type: password
        value: Lumumi123!
      cfAtHashKey:
        group: consorsefinancingat_main
        type: str
        value: '12345678910'
      cfAtApiKey:
        group: consorsefinancingat_main
        type: str
        value: 14c12915-053f-4ecb-9b66-57a5a71b239b
      cfAtShopName:
        group: consorsefinancingat_main
        type: str
        value: 'Oxid AT Test'
      cfAtShopLogo:
        group: consorsefinancingat_main
        type: str
        value: ''
      cfAtDurations:
        group: consorsefinancingat_main
        type: str
        value: '6,12,18,36,60'
      cfAtStandardDuration:
        group: consorsefinancingat_main
        type: str
        value: '12'
      cfAtInterestRates:
        group: consorsefinancingat_main
        type: str
        value: '3.0,3.0,6.6,6.6,20.0'
      cfAtActionInterestVendorId:
        group: consorsefinancingat_main
        type: str
        value: '1'
      cfAtActionInterestSettings:
        group: consorsefinancingat_main
        type: select
        value: '0'
        constraints:
          - '0'
          - '1'
          - '2'
          - '3'
      cfAtActionInterestDuration:
        group: consorsefinancingat_main
        type: str
        value: '6'
      cfAtInterestDisplay:
        group: consorsefinancingat_main
        type: select
        value: lowestZeroPriceInstallment
        constraints:
          - lowestInstallment
          - lowestZeroPriceInstallment
      cfAtCreateOrdersDirectly:
        group: consorsefinancingat_main
        type: bool
        value: true
      cfAtLiveModus:
        group: consorsefinancingat_main
        type: bool
        value: false
      cfAtCreateLogs:
        group: consorsefinancingat_main
        type: bool
        value: true
      cfAtCancelCronDays:
        group: consorsefinancingat_cronjobs
        type: str
        value: '21'
      cfAtCancelCronNotificationActive:
        group: consorsefinancingat_cronjobs
        type: bool
        value: true
      cfAtCancelCronNotificationReceiver:
        group: consorsefinancingat_cronjobs
        type: str
        value: rauscher@commodule.de
    templateBlocks:
      -
        template: page/details/inc/productmain.tpl
        block: details_productmain_price
        file: /views/blocks/page/details/inc/productmain_price.tpl
      -
        template: page/details/inc/tabs.tpl
        block: details_tabs_longdescription
        file: /views/blocks/page/details/inc/tabs_installments.tpl
      -
        template: page/checkout/payment.tpl
        block: checkout_payment_errors
        file: /views/blocks/page/checkout/checkout_payment_errors.tpl
      -
        template: page/checkout/payment.tpl
        block: select_payment
        file: /views/blocks/page/checkout/select_payment.tpl
      -
        template: include/category_main_form.tpl
        block: admin_category_main_form
        file: /views/blocks/admin/include/category_main_form.tpl
    templates:
      consorsfinancingsat.tpl: cf/consorsefinancingat/views/admin/tpl/consorsfinancingsat.tpl
      consorsfinancingsat_list.tpl: cf/consorsefinancingat/views/admin/tpl/consorsfinancingsat_list.tpl
      consorsfinancingsat_main.tpl: cf/consorsefinancingat/views/admin/tpl/consorsfinancingsat_main.tpl
      consorsfinancingscancelat.tpl: cf/consorsefinancingat/views/email/tpl/consorsfinancingscancelat.tpl
  consorspaylater:
    id: consorspaylater
    path: cf/consorspaylater
    version: 6.5.0
    configured: true
    title:
      en: 'Consors Finanz sp&auml;ter bezahlen'
    description:
      de: 'Modul für die Zahlung mit Consors Finanz sp&auml;ter bezahlen.'
      en: 'Module for payment via Consors Finanz pay later.'
    lang: ''
    thumbnail: logo.jpg
    author: '(c) by Consors Finanz, BNP Paribas S.A.'
    url: 'https://www.consorsfinanz.de'
    email: zhb@consorsfinanz.de
    classExtensions:
      OxidEsales\Eshop\Application\Controller\OrderController: ConsorsFinanz\CfPayLater\Controller\OrderController
      OxidEsales\Eshop\Application\Controller\PaymentController: ConsorsFinanz\CfPayLater\Controller\PaymentController
      OxidEsales\Eshop\Application\Model\Order: ConsorsFinanz\CfPayLater\Model\Order
      OxidEsales\Eshop\Application\Model\PaymentList: ConsorsFinanz\CfPayLater\Model\PaymentList
      OxidEsales\Eshop\Core\Email: ConsorsFinanz\CfPayLater\Core\Email
      OxidEsales\Eshop\Core\ViewConfig: ConsorsFinanz\CfPayLater\Core\ViewConfig
      OxidEsales\Eshop\Application\Model\User: ConsorsFinanz\CfPayLater\Model\User
    controllers:
      consorspaylatercron: ConsorsFinanz\CfPayLater\Controller\ConsorsPayLaterCron
      consorspaylaternotify: ConsorsFinanz\CfPayLater\Controller\ConsorsPayLaterNotify
      consorspaylatertransactions: ConsorsFinanz\CfPayLater\Controller\Admin\ConsorsPayLaterTransactions
      consorspaylatertransactions_list: ConsorsFinanz\CfPayLater\Controller\Admin\ConsorsPayLaterTransactionsList
      consorspaylatertransactions_main: ConsorsFinanz\CfPayLater\Controller\Admin\ConsorsPayLaterTransactionsMain
    events:
      onActivate: '\ConsorsFinanz\CfPayLater\Core\Installation::onActivate'
      onDeactivate: '\ConsorsFinanz\CfPayLater\Core\Installation::onDeactivate'
    moduleSettings:
      cfPayLaterApiUsername:
        group: consorspaylater_main
        type: str
        value: psp2804128
      cfPayLaterClientId:
        group: consorspaylater_main
        type: str
        value: '2804128'
      cfPayLaterVendorId:
        group: consorspaylater_main
        type: str
        value: '2804128'
      cfPayLaterVendorPassword:
        group: consorspaylater_main
        type: password
        value: Lumumi123!
      cfPayLaterHashKey:
        group: consorspaylater_main
        type: str
        value: qZpAhLxN2-
      cfPayLaterApiKey:
        group: consorspaylater_main
        type: str
        value: 33710a22-7589-4231-8cf5-446b57965bd4
      cfPayLaterShopName:
        group: consorspaylater_main
        type: str
        value: 'Oxid Testshop'
      cfPayLaterShopLogo:
        group: consorspaylater_main
        type: str
        value: 'https://ox65.millemedia.de/out/flow/img/logo_oxid.png'
      cfPayLaterLiveModus:
        group: consorspaylater_main
        type: select
        value: '1'
        constraints:
          - '0'
          - '1'
      cfPayLaterCreateLogs:
        group: consorspaylater_main
        type: select
        value: '1'
        constraints:
          - '0'
          - '1'
    templateBlocks:
      -
        template: page/checkout/order.tpl
        block: checkout_order_next_step_top
        file: /views/blocks/page/checkout/order_next_step_top.tpl
      -
        template: page/checkout/order.tpl
        block: checkout_order_next_step_bottom
        file: /views/blocks/page/checkout/order_next_step_bottom.tpl
      -
        template: page/checkout/payment.tpl
        block: checkout_payment_errors
        file: /views/blocks/page/checkout/checkout_payment_errors.tpl
      -
        template: page/checkout/payment.tpl
        block: select_payment
        file: /views/blocks/page/checkout/select_payment.tpl
    templates:
      consorspaylatertransactions.tpl: cf/consorspaylater/views/admin/tpl/consorspaylatertransactions.tpl
      consorspaylatertransactions_list.tpl: cf/consorspaylater/views/admin/tpl/consorspaylatertransactions_list.tpl
      consorspaylatertransactions_main.tpl: cf/consorspaylater/views/admin/tpl/consorspaylatertransactions_main.tpl
      payment_consorspaylater.tpl: cf/consorspaylater/views/page/checkout/inc/payment_consorspaylater.tpl
moduleChains:
  classExtensions:
    OxidEsales\Eshop\Application\Component\Widget\ArticleDetails:
      - ConsorsFinanz\CFeFinancing\Component\Widget\ArticleDetails
      - ConsorsFinanz\CFeFinancingAT\Component\Widget\ArticleDetails
    OxidEsales\Eshop\Application\Controller\OrderController:
      - ConsorsFinanz\CFeFinancing\Controller\OrderController
      - ConsorsFinanz\CFeFinancingAT\Controller\OrderController
      - ConsorsFinanz\CfPayLater\Controller\OrderController
    OxidEsales\Eshop\Application\Controller\PaymentController:
      - ConsorsFinanz\CFeFinancing\Controller\PaymentController
      - ConsorsFinanz\CFeFinancingAT\Controller\PaymentController
      - ConsorsFinanz\CfPayLater\Controller\PaymentController
    OxidEsales\Eshop\Core\Email:
      - ConsorsFinanz\CFeFinancing\Core\Email
      - ConsorsFinanz\CFeFinancingAT\Core\Email
      - ConsorsFinanz\CfPayLater\Core\Email
    OxidEsales\Eshop\Core\ViewConfig:
      - ConsorsFinanz\CFeFinancing\Core\ViewConfig
      - ConsorsFinanz\CFeFinancingAT\Core\ViewConfig
      - ConsorsFinanz\CfPayLater\Core\ViewConfig
    OxidEsales\Eshop\Application\Model\PaymentList:
      - ConsorsFinanz\CFeFinancing\Model\PaymentList
      - ConsorsFinanz\CFeFinancingAT\Model\PaymentList
      - ConsorsFinanz\CfPayLater\Model\PaymentList
    OxidEsales\Eshop\Application\Model\User:
      - ConsorsFinanz\CfPayLater\Model\User
    OxidEsales\Eshop\Application\Model\Order:
      - ConsorsFinanz\CfPayLater\Model\Order
      - ConsorsFinanz\CFeFinancing\Model\Order
    OxidEsales\Eshop\Application\Controller\ThankYouController:
      - ConsorsFinanz\CFeFinancing\Controller\ThankYouController
